.offers-div {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 0.8rem;
    padding: 1rem;
    margin-top: 30px;
    max-width: 600px;
    margin-left: auto;
    margin-right: auto;
}

@media (max-width: 768px) {
    i-n {
        flex: 1 1 100%;
    }
}

.offer-lnk {
    position: relative;
    overflow: hidden;

    padding: 0.9rem 2rem;
    border: 1px solid #464646;
    cursor: pointer;

    display: block;
    width: 100%;
    box-sizing: border-box;

    text-align: center;
    color: #939393;

    background: rgb(34 54 52 / 60%);
    backdrop-filter: blur(4px);

    transition:
        background-color 0.3s,
        color 0.3s,
        box-shadow 0.3s;
}

/*region: Spotlight following cursor*/
.offer-lnk::before {
    content: "";
    position: absolute;
    inset: 0;

    background:
      radial-gradient(
        circle at var(--x) var(--y),
        rgba(88, 123, 168, 0.384),
        transparent 120px
      );

    opacity: 0;
    transition: opacity .2s;
}

.offer-lnk:hover::before {
    opacity: 1;
}
/*endregion*/

/*region: Border glow sweep*/
.offer-lnk::after {
    content: "";
    position: absolute;
    inset: 0;
    border: 1px solid transparent;
    background:
        linear-gradient(90deg,
            transparent,
            rgba(255,255,255,.8),
            transparent) border-box;
    mask:
        linear-gradient(#fff 0 0) padding-box,
        linear-gradient(#fff 0 0);
    mask-composite: exclude;

    transform: translateX(-100%);
    opacity: 0;
}

.offer-lnk:hover::after {
    opacity: 1;
    transform: translateX(100%);
    transition: 0.8s;
}
/*endregion*/
